local rs_loaded = false

addHook("ThinkFrame", do
	if RingSlinger and not rs_loaded
		rs_loaded = true;
		print("\x83 Loaded RingSlinger NEO added support for \x85 Scarf The Wolf Hell Guns")
		RingSlinger.AddWeapon({
			name = "Hell Revoler",
			viewsprite = "HERVA0",
			hudsprite = "RBHTPK",
			mt = MT_RS_THROWNSCATTER,
			sound = sfx_hellrv,
			viewoffset = 25*FRACUNIT,
			auto = true,
			delay = 8,
			scale = FRACUNIT * 7/4,
			shake = 5,
			cost = 4
		})
		RingSlinger.AddWeapon({
			name = "Scarf AK47",
			viewsprite = "AK47A0",
			hudsprite = "SCRFAK",
			mt = MT_RS_THROWNAUTOMATIC,
			mutetoss = true,
			hold = true,
			scale = FRACUNIT,
			viewoffset = 15*FRACUNIT,
			auto = true,
			delay = 2,
			cost = 1,
			slingfunc = function(mo, weapon)
				local player = mo.player
				local mt = weapon.mt
				S_StartSound(mo, sfx_scfak)
				S_StartSoundAtVolume(mo, sfx_cdfm16, 60)
				local wave = sin(leveltime*ANG10) * 600
				local shot = P_SPMAngle(mo, mt, mo.angle + wave, 1, 0)
				if shot and shot.valid
					shot.color = player.skincolor
					if mo.ringslinger.powers[RSPOWER_POWERTOSS]
						shot.momx = $ * 3/2
						shot.momy = $ * 3/2
						shot.momz = $ * 3/2
					end
					if mo.ringslinger.powers[RSPOWER_PIERCE]
						shot.pierce = true
					end
				end
				if not P_IsObjectOnGround(mo)
					local aim = max(-FRACUNIT, min(FRACUNIT, -player.aiming/13000))
					if P_MobjFlip(mo) * aim > 0
						aim = $ * 2/8
					end
					mo.momz = $ + FixedMul(mo.scale, aim)
					P_Thrust(mo, mo.angle, -FRACUNIT*2/3)
				end
				return true
			end
		})
		RingSlinger.Skins["scarf"] = {
			ammo = 35,
			weapons = {RSWPN_HELLREVOLER, RSWPN_SCARFAK47}
		}
	end
end)